*Do-file for artiklen:
*Hansen, K.M. (2015) Festtale til 46. rsmde i Dansk Selskab for Statskundskab. Tidsskriftet Politik, 18(1):67-69. 
*

import excel "C:\Users\KMH\Dropbox\Temp\Formandens tale\citationer_samlet.xlsx", sheet("Ark1") firstrow clear

gen lnr=_n
order lnr

*gr den annonym
drop Fornavn Efternavn Navn

compress
save "C:\Users\KMH\Dropbox\Temp\Formandens tale\citationer_samlet.dta", replace

sort Webofsciencecitationer Infomedia

*laver en variabel udfra navn om det er en udenlandsforsker, som sjldent taler sproget
generate var7 = 1 in 374
replace var7 = 1 in 373
replace var7 = 1 in 369
replace var7 = 1 in 364
replace var7 = 1 in 353
replace var7 = 1 in 348
replace var7 = 1 in 316
replace var7 = 1 in 248
replace var7 = 1 in 298
replace var7 = 1 in 330

gen lninfo=ln(Infomedia)
gen lnweb=ln(Webofsciencecitationer)

gen lnweb2=lnweb^2

gen web2=Webofsciencecitationer^2
gen info2=Infomedia^2


gen diff=abs(lnweb-lninfo)
sort diff
gen fjern=1 if (var7==.)
replace fjern=0 if fjern==.
label variable fjern "dansk forsker"

*Infomedia>=1 & Webofsciencecitationer>=1 & 

label define sted 1 "KU" 2 "AU" 3 "AaU" 4 "SDU" 5 "RUC"
label values Sted sted


*analyser
*drop fjern

*descriptive data
sum Infomedia,det
tab Infomedia
sum Webofsciencecitationer, det
tab Webofsciencecitationer
tab fjern
sum lninfo lnweb
hist Infomedia
hist Webofsciencecitationer
hist lninfo 
hist lnweb


pwcorr Infomedia Webofsciencecitationer if (Infomedia>=1 & Webofsciencecitationer>=1 & fjern==1), sig obs
pwcorr lninfo lnweb if fjern==1, sig obs
*pwcorr info2 web2 if (Infomedia>=1 & Webofsciencecitationer>=1 & fjern==1), sig obs

*modeller i artiklen
reg lninfo c.lnweb 
eststo a
reg lninfo c.lnweb i.fjern 
eststo b
reg lninfo c.lnweb i.fjern i.Sted
eststo c

esttab * using "model.rtf", replace cells("b (star fmt(2))")  wide scalars("N Antal forskere" "r2 R^2" "F F-statistik") sfmt(%15.0fc %11.2fc %11.2fc %9.2fc) 


*beregning af effekt
dis 1.10^0.42
dis 1.01^0.419837
*e 2.7182818284

*********************
*ROD,  andre forsg***
*draft modling*****
*********************
reg lninfo lnweb 
i.Sted if fjern==1
reg lninfo c.lnweb##i.Sted if fjern==1
help margins
margins i.Sted

*********************
reg Infomedia Webofsciencecitationer web2 i.Sted if fjern==1 

reg lninfo c.lnweb i.Sted if fjern==1

mregress lninfo lnweb if fjern==1

mregress lninfo c.lnweb##i.Sted if fjern==1
predict lnantal_info
predict lnantal_info
gen antal_info=e^lnantal_info

margins

if (Infomedia>=5 & Webofsciencecitationer>=5 & var7==.)
drop d1
lvr2plot, mlabel(Fornavn)
predict d1, cooksd
sort d1

reg lninfo lnweb i.Sted if (Infomedia>=5 & Webofsciencecitationer>=5 & var7==.)



drop df
predict df, stdp
sort df

scatter Infomedia Webofsciencecitationer if (Infomedia>0 & Webofsciencecitationer>0)

reg Webofsciencecitationer Infomedia if (Infomedia>1 & Webofsciencecitationer>1 & )

sum Webofsciencecitationer Infomedia, det
sort Webofsciencecitationer Infomedia
browse

sum Webofsciencecitationer Infomedia, det
sort Infomedia Webofsciencecitationer 
browse

reg lninfo lnweb if (Infomedia>1 & Webofsciencecitationer>1 & var9==.)
scatter lninfo lnweb if (Infomedia>=1 & Webofsciencecitationer>=1 & var9==.)

reg Webofsciencecitationer Infomedia if (Infomedia>=1 & Webofsciencecitationer>=1 & var9==.)

drop pre1
reg lninfo c.lnweb##i.Sted if (lninfo>=1 & lnweb>=1 & var9==.)
predict pre1
twoway scatter lninfo lnweb ///
if (lninfo>=1 & lnweb>=1 & var9==.) || lfit pre1 lnweb if (lninfo>=1 & lnweb>=1 & var9==.)

gen diff=lninfo-lnweb
sort diff
browse

twoway scatter lninfo lnweb if (Infomedia>9 & Webofsciencecitationer>9 & var9==.) || lfit lninfo lnweb if (Infomedia>9 & Webofsciencecitationer>9 & var9==.)
